
label.type-radio{		
	position 	: relative;
	display  	: block;
	margin-left : 20px;	
	cursor 		: pointer;
	font-family : $font_family;

	input[type=radio]{
		&:empty{
			display    : none; 	
			visibility : hidden;
		}
		&:checked ~ div {	
			border-color  : $blue_bold;
			&::before{
				background-color  : $blue_bold;
			}
		}
		&:disabled ~ div{					
			border-color  : $graydark;
			&:before{	
				background-color : $graydark;
			}
		}
	}		
	div{
		-moz-border-radius    : 50%;
		-webkit-border-radius : 50%;
		border-radius         : 50%;	
		width                 : 10px; height:10px;
		border                : 2px solid $blue;
		position              : absolute;	
		top                   : 6px;
		left                  : -20px;
		-webkit-transition    : border-color 0.3s ease-in-out;
		-moz-transition       : border-color 0.3s ease-in-out;
		transition            : border-color 0.3s ease-in-out;
		&::before{	

			-webkit-transition    : border-color 0.3s ease-in-out;
			-moz-transition       : border-color 0.3s ease-in-out;
			transition            : border-color 0.3s ease-in-out;

			-moz-border-radius    : 50%;
			-webkit-border-radius : 50%;
			border-radius         : 50%;			
			background-color      : #fff;
				
			content               : '';
			display               : inline-block;
			height                : 6px;	
			width                 : 6px;
			vertical-align        : middle;
			position              : absolute;
			left                  :2px;
			top                   :2px;	
		}				
	}		
}	